Subject: Re: bug#5039: 23.1.50; Info-index and Info-search should share the same history

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 06:13:08 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Juri Linkov <[email-masked]> writes:
>
>>> Info-index and Info-search should share the same
>>> minbuffer previous-history-element etc. history.
>>>
>>> As it is often that if the first finds nothing, we want to try the same
>>> string with the second.
>>
>> I second that.  All related commands should share the same history,
>> e.g. `Info-index', `C-h f', `C-h v', etc.
>
> They all seem to share the same history (the global one) except
> Info-search, which takes a regexp and has its own history.
>
> I do think Dan's request makes sense (i.e., trying Info-index and then
> Info-search is probably common), but since one is a string and the other
> a regexp, do we want to get rid of the separate history for the latter?

My vote would be to keep the separate histories, since the type is
different.  It would be confusing to find regexps in the history when
searching for strings.

Perhaps we could, as a special case, make Info-index pull in the first
item from Info-search on the first invocation of M-p, but I don't know
if it's worth the effort.

Best regards,
Stefan Kangas